$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.15.0-150.0.dev/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.15.0-150.0.dev/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = 'd6daf9af3971740690a6d718c7eeef19047a15b1771f8dff2686ca49c1624b02'
  checksumType   = 'sha256'
  checksum64     = 'b3d53358cd472c059fd0726aa4125538df06c9c8f55c12516351364f475e38bc'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
